Bug 185950 - www/libmicrohttpd port not enabling htttps
Summary: www/libmicrohttpd port not enabling htttps
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Bernhard Froehlich
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-01-21 02:10 UTC by claus
Modified: 2014-01-30 15:40 UTC (History)
0 users

See Also:


Attachments
file.diff (690 bytes, patch)
2014-01-21 02:10 UTC, claus
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description claus 2014-01-21 02:10:00 UTC
The makefile of the port of www/libmicrohttpd does not handle the GNUTLS option
correctly, resulting in HTTPS being disabled.

Fix: Patch attached with submission follows:
How-To-Repeat: build www/libmicrohttpd with GNUTLS option, and check build results.
Among other things, src/examples/https_fileserver_example will not be built.
Comment 1 Edwin Groothuis freebsd_committer 2014-01-21 02:10:08 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 2 Edwin Groothuis freebsd_committer 2014-01-21 02:10:08 UTC
Maintainer of www/libmicrohttpd,

Please note that PR ports/185950 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/185950

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 3 Hung-Yi Chen 2014-01-27 20:35:13 UTC
It seems okay, please commit it.

Thanks.

2014/1/21 Edwin Groothuis <edwin@freebsd.org>

> Maintainer of www/libmicrohttpd,
>
> Please note that PR ports/185950 has just been submitted.
>
> If it contains a patch for an upgrade, an enhancement or a bug fix
> you agree on, reply to this email stating that you approve the patch
> and a committer will take care of it.
>
> The full text of the PR can be found at:
>     http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/185950
>
> --
> Edwin Groothuis via the GNATS Auto Assign Tool
> edwin@FreeBSD.org
>
Comment 4 Mark Linimon freebsd_committer freebsd_triage 2014-01-27 23:11:33 UTC
State Changed
From-To: feedback->open

Maintainer approved.
Comment 5 Bernhard Froehlich freebsd_committer 2014-01-30 13:16:09 UTC
Responsible Changed
From-To: freebsd-ports-bugs->decke

I'll take it.
Comment 6 dfilter service freebsd_committer 2014-01-30 15:31:53 UTC
Author: decke
Date: Thu Jan 30 15:31:46 2014
New Revision: 341847
URL: http://svnweb.freebsd.org/changeset/ports/341847
QAT: https://qat.redports.org/buildarchive/r341847/

Log:
  - Fix handling of GNUTLS support
  
  PR:		ports/185950
  Submitted by:	Claus Endres <claus@endresconsulting.com>
  Approved by:	Hung-Yi Chen <gaod@hychen.org> (maintainer)

Modified:
  head/www/libmicrohttpd/Makefile

Modified: head/www/libmicrohttpd/Makefile
==============================================================================
--- head/www/libmicrohttpd/Makefile	Thu Jan 30 15:30:13 2014	(r341846)
+++ head/www/libmicrohttpd/Makefile	Thu Jan 30 15:31:46 2014	(r341847)
@@ -17,9 +17,13 @@ GNU_CONFIGURE=	yes
 MAKE_ARGS+=	pkgconfigdir=${PREFIX}/libdata/pkgconfig
 USE_LDCONFIG=	yes
 
-GNUTLS_LIB_DEPENDS=	libgcrypt.so:${PORTSDIR}/security/libgcrypt \
+.include <bsd.port.options.mk>
+
+.if ${PORT_OPTIONS:MGNUTLS}
+LIB_DEPENDS+=	libgcrypt.so:${PORTSDIR}/security/libgcrypt \
 			libgnutls.so:${PORTSDIR}/security/gnutls
-GNUTLS_CONFIGURE_ARGS=	--with-gnutls=${LOCALBASE} --enable-https
+CONFIGURE_ARGS+=	--with-libgcrypt-prefix=${LOCALBASE} --with-gnutls=${LOCALBASE} --enable-https=yes
+.endif
 
 INFO=		libmicrohttpd libmicrohttpd-tutorial
 
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 7 Bernhard Froehlich freebsd_committer 2014-01-30 15:32:01 UTC
State Changed
From-To: open->closed

Committed. Thanks!